
Redmine - Defect #22670

Email reminder sent even if ticket is closed

2016-04-29 09:28 - Markus Harrieder

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.1.1

Description

We have the issues that some of our team members get email reminders ("25 issue(s) due in the next 1/3/7 days") even for already

closed tickets.

I could not find any pattern, on some teammembers it works, others[me] get tons of closed ticket notifications. It seems to be related

to the tickets somehow. The tickets are definitly closed but something forces redmine to list em on this notification mails. There are

always 25Tickets per mail report. Its the exactly same behavior as described at #8108

We already verified that it is not related to any plugin. We uninstalled our two plugins for testing, behavior is the same.

Our environment:

Environment:

  Redmine version                3.1.1.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  redmine_contacts               4.0.3

  redmine_contacts_helpdesk      3.0.1

 Thank you for any help!

Regards,

Markus

Related issues:

Related to Redmine - Defect #21227: Email reminders sent for closed issues Closed

History

#1 - 2016-04-29 10:17 - Toshi MARUYAMA

- Status changed from New to Needs feedback

We uninstalled our two plugins

 How did you uninstall?

I think your two plugins have problem because #21227 uses same plugins.

#2 - 2016-04-29 10:30 - Toshi MARUYAMA

Test covers this case.

source:tags/3.1.1/test/unit/mailer_test.rb#L607
#3 - 2016-04-29 13:21 - Markus Harrieder

We checked the DB entries. This is one issue I still get notifications from:

Mail from 29.04.16

25 issue(s) that are assigned to you are due in the next 7 days:

...

•    Distribution - Testdevices #2940: 2 Testgeräte mit AL Lieferung August

...

View all issues

________________________________

 
{

    "table": "issues",

    "rows":

    [

        {

            "id": 2940,

            "tracker_id": 9,

            "project_id": 16,

            "subject": "2 Testgeräte mit AL Lieferung August",

            "description": "Hallo XX,

@ XX, kannst Du bitte 2 Geräte zu Ihm schicken lassen als Testgeräte, eines mit Zeittraum bis Ende Oktober, da

s andere bis Ende Dezember, Lieferung erst im August!",

            "due_date": "2015-07-31",

            "category_id": 71,

            "status_id": 5,

            "assigned_to_id": 4,

            "priority_id": 4,

            "fixed_version_id": null,

            "author_id": 2,

            "lock_version": 29,

            "created_on": "2014-07-08 13:30:19",

            "updated_on": "2016-03-09 12:15:39",

            "start_date": "2014-07-08",

            "done_ratio": 100,

            "estimated_hours": null,

            "parent_id": null,

            "root_id": 2940,

            "lft": 55,

            "rgt": 56,

            "is_private": 0,

            "closed_on": "2016-03-09 12:15:39" 

        }

    ]

}

{

    "table": "issue_categories",

    "rows":

    [

        {

            "id": 71,

            "project_id": 16,

            "name": "Leihstellung",

            "assigned_to_id": null

        }

    ]

}

{

    "table": "projects",

    "rows":

    [

        {

            "id": 16,

            "name": "Distribution",

            "description": "Distribution und Logistik Tasks/Workflows",

            "homepage": "",

            "is_public": 0,

            "parent_id": 14,

            "created_on": "2014-02-11 11:37:08",

            "updated_on": "2014-02-11 11:37:08",
            "identifier": "distribution",

            "status": 1,

            "lft": 12,

            "rgt": 13,

            "inherit_members": 0

        }

    ]

}

{

    "table": "trackers",

    "rows":

    [

        {

            "id": 9,

            "name": "Testdevices",

            "is_in_chlog": 0,

            "position": 7,

            "is_in_roadmap": 0,

            "fields_bits": 4,

            "default_status_id": 1

        }

    ]

}

{

    "table": "issue_statuses",

    "rows":

    [

        {

            "id": 5,

            "name": "Closed",

            "is_closed": 1,

            "position": 6,

            "default_done_ratio": null

        }

    ]

}

 AFAK, the structure is originial. No modification from any plugin.

#4 - 2016-04-29 14:26 - Toshi MARUYAMA

- Related to Defect #21227: Email reminders sent for closed issues added

#5 - 2023-01-05 09:58 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce
